Subject: Re: [PATCH] git-remote: load config whenever create_symref() might be called

From: Jérémie Detrey <[email-masked]>
Date: Sat, 26 Dec 2020 23:28:01 +0100

Hi,

Thanks for the feedback!

Junio C Hamano:
> My gut feeling says that the best place to call git_config() on
> git_default_config would actually be in cmd_remote(), immediately
> before we call parse_options() to parse the main options shared by
> all subcommands of "git remote".  Is there a reason why codepaths
> other than the three you singled out should *not* be affected by the
> basic set of configuration variables?

No, none that I can think of. I'll leave more knowledgeable people
than me confirm this, but if that's the way to go, I'll be happy to
submit a revised patch following your suggestion :)

Cheers,
Jérémie.